Bug 1413319 - SELinux is preventing rpcbind from 'setattr' accesses on the directory rpcbind.
Summary: SELinux is preventing rpcbind from 'setattr' accesses on the directory rpcbind.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a76664c0d6b9446bc286ddc1c52...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-14 23:38 UTC by Marco Nolden
Modified: 2017-08-08 19:34 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:34:32 UTC
Type: ---


Attachments (Terms of Use)

Description Marco Nolden 2017-01-14 23:38:54 UTC
Description of problem:
SELinux is preventing rpcbind from 'setattr' accesses on the directory rpcbind.

*****  Plugin catchall (100. confidence) suggests   **************************

If sie denken, dass es rpcbind standardmäßig erlaubt sein sollte, setattr Zugriff auf rpcbind directory zu erhalten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
allow this access for now by executing:
# ausearch -c 'rpcbind' --raw | audit2allow -M my-rpcbind
# semodule -X 300 -i my-rpcbind.pp

Additional Information:
Source Context                system_u:system_r:rpcbind_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                rpcbind [ dir ]
Source                        rpcbind
Source Path                   rpcbind
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-191.23.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.8.12-200.fc24.x86_64 #1 SMP Fri
                              Dec 2 18:45:50 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2017-01-15 00:37:36 CET
Last Seen                     2017-01-15 00:37:36 CET
Local ID                      75c4f747-bee4-476d-968a-4efa16cc111e

Raw Audit Messages
type=AVC msg=audit(1484437056.342:534): avc:  denied  { setattr } for  pid=975 comm="rpcbind" name="rpcbind" dev="tmpfs" ino=62691 scontext=system_u:system_r:rpcbind_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=dir permissive=1


Hash: rpcbind,rpcbind_t,var_run_t,dir,setattr

Version-Release number of selected component:
selinux-policy-3.13.1-191.23.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.8.12-200.fc24.x86_64
type:           libreport

Potential duplicate: bug 1404481

Comment 1 Fedora End Of Life 2017-07-26 00:11:32 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 19:34:32 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.